plugins {
    `kotlin-dsl`
}

group = "io.getstream.whatsappclone.buildlogic"

java {
    sourceCompatibility = JavaVersion.VERSION_1_8
    targetCompatibility = JavaVersion.VERSION_1_8
}

dependencies {
    compileOnly(libs.android.gradlePlugin)
    compileOnly(libs.kotlin.gradlePlugin)
    compileOnly(libs.spotless.gradlePlugin)
}

gradlePlugin {
    plugins {
        register("androidApplicationCompose") {
            id = "getstream.android.application.compose"
            implementationClass = "AndroidApplicationComposeConventionPlugin"
        }
        register("androidApplication") {
            id = "getstream.android.application"
            implementationClass = "AndroidApplicationConventionPlugin"
        }
        register("androidLibraryCompose") {
            id = "getstream.android.library.compose"
            implementationClass = "AndroidLibraryComposeConventionPlugin"
        }
        register("androidLibrary") {
            id = "getstream.android.library"
            implementationClass = "AndroidLibraryConventionPlugin"
        }
        register("androidFeature") {
            id = "getstream.android.feature"
            implementationClass = "AndroidFeatureConventionPlugin"
        }
      register("androidHilt") {
        id = "getstream.android.hilt"
        implementationClass = "AndroidHiltConventionPlugin"
      }
        register("spotless") {
            id = "getstream.spotless"
            implementationClass = "SpotlessConventionPlugin"
        }
    }
}
